ServiceLocator (Hyperic HQ Plugin API)
Keywords: org.hyperic.hq.ui.ServiceLocator class

Overview | Package | Class | Tree | Deprecated | Index | Help
| Hyperic HQ Plugin API v. 4.4.0.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hyperic.hq.ui
Class ServiceLocator

    java.lang.Object
      org.hyperic.hq.ui.ServiceLocator

    public class ServiceLocator

extends java.lang.Object

A singleton class that looks up and caches BizApp home interfaces and returns boss EJBs. It consults a supplied `ServletContext` to configure itself if it is necessary to connect to a remote EJB container.

Field Summary
`static java.lang.Class` | `EVENT_LOG_CLASS`
`static java.lang.String` | `EVENT_LOG_NAME`

Constructor Summary
`ServiceLocator(java.util.Map attrs)`

Method Summary
`org.hyperic.hq.bizapp.shared.AIBoss` | `getAIBoss()` Return an `AIBoss` instance.
`org.hyperic.hq.bizapp.shared.AppdefBoss` | `getAppdefBoss()` Return an `AppdefBoss` instance.
`org.hyperic.hq.bizapp.shared.AuthBoss` | `getAuthBoss()` Return an `AuthBoss` instance.
`org.hyperic.hq.bizapp.shared.AuthzBoss` | `getAuthzBoss()` Return an `AuthzBoss` instance.
`org.hyperic.hq.bizapp.shared.ConfigBoss` | `getConfigBoss()` Return an `ConfigBoss` instance.
`org.hyperic.hq.bizapp.shared.ControlBoss` | `getControlBoss()` Return an `ControlBoss` instance.
`org.hyperic.hq.bizapp.shared.EventLogBoss` | `getEventLogBoss()` Return a `EventLogBoss` instance.
`org.hyperic.hq.bizapp.shared.EventsBoss` | `getEventsBoss()` Return an `EventsBoss` instance.
`org.hyperic.hq.bizapp.shared.GalertBoss` | `getGalertBoss()`
`org.hyperic.hq.bizapp.shared.MeasurementBoss` | `getMeasurementBoss()` Return an `MeasurementBoss` instance.
`org.hyperic.hq.bizapp.shared.ProductBoss` | `getProductBoss()` Return a `ProductBoss` instance.
`UIUtils` | `getUIUtils(javax.servlet.ServletContext ctx)` Return the UIUtils implementor
`org.hyperic.hq.bizapp.shared.UpdateBoss` | `getUpdateBoss()`
`protected javax.ejb.EJBHome` | `lookup(java.lang.String name, java.lang.Class clazz)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### EVENT_LOG_CLASS

    public static final java.lang.Class EVENT_LOG_CLASS

### EVENT_LOG_NAME

    public static final java.lang.String EVENT_LOG_NAME

See Also:
  Constant Field Values

Constructor Detail

### ServiceLocator

    public ServiceLocator(java.util.Map attrs)
                   throws ServiceLocatorException

Throws:
  `ServiceLocatorException`

Method Detail

### lookup

    protected javax.ejb.EJBHome lookup(java.lang.String name,
                                       java.lang.Class clazz)
                                throws ServiceLocatorException

  Throws:
    `ServiceLocatorException`

### getAppdefBoss

    public org.hyperic.hq.bizapp.shared.AppdefBoss getAppdefBoss()
                                                          throws ServiceLocatorException

  Return an `AppdefBoss` instance. If not previously cached, look up the interface and then cache it before creating and returning the boss.

  Throws:
    `ServiceLocatorException` - if the lookup or create fails

### getAIBoss

    public org.hyperic.hq.bizapp.shared.AIBoss getAIBoss()
                                                  throws ServiceLocatorException

  Return an `AIBoss` instance. If not previously cached, look up the interface and then cache it before creating and returning the boss.

  Throws:
    `ServiceLocatorException` - if the lookup or create fails

### getAuthBoss

    public org.hyperic.hq.bizapp.shared.AuthBoss getAuthBoss()
                                                      throws ServiceLocatorException

  Return an `AuthBoss` instance. If not previously cached, look up the interface and then cache it before creating and returning the boss.

  Throws:
    `ServiceLocatorException` - if the lookup or create fails

### getAuthzBoss

    public org.hyperic.hq.bizapp.shared.AuthzBoss getAuthzBoss()
                                                        throws ServiceLocatorException

  Return an `AuthzBoss` instance. If not previously cached, look up the interface and then cache it before creating and returning the boss.

  Throws:
    `ServiceLocatorException` - if the lookup or create fails

### getConfigBoss

    public org.hyperic.hq.bizapp.shared.ConfigBoss getConfigBoss()
                                                          throws ServiceLocatorException

  Return an `ConfigBoss` instance. If not previously cached, look up the interface and then cache it before creating and returning the boss.

  Returns:
    An instance of the ConfigBoss
  Throws:
    `ServiceLocatorException` - if the lookup or create fails.

### getEventsBoss

    public org.hyperic.hq.bizapp.shared.EventsBoss getEventsBoss()
                                                          throws ServiceLocatorException

  Return an `EventsBoss` instance. If not previously cached, look up the interface and then cache it before creating and returning the boss.

  Throws:
    `ServiceLocatorException` - if the lookup or create fails

### getProductBoss

    public org.hyperic.hq.bizapp.shared.ProductBoss getProductBoss()
                                                            throws ServiceLocatorException

  Return a `ProductBoss` instance. If not previously cached, look up the interface and then cache it before creating and returning the boss.

  Throws:
    `ServiceLocatorException` - if the lookup or create fails

### getMeasurementBoss

    public org.hyperic.hq.bizapp.shared.MeasurementBoss getMeasurementBoss()
                                                                    throws ServiceLocatorException

  Return an `MeasurementBoss` instance. If not previously cached, look up the interface and then cache it before creating and returning the boss.

  Throws:
    `ServiceLocatorException` - if the lookup or create fails

### getUIUtils

    public UIUtils getUIUtils(javax.servlet.ServletContext ctx)

  Return the UIUtils implementor

  Returns:

### getEventLogBoss

    public org.hyperic.hq.bizapp.shared.EventLogBoss getEventLogBoss()
                                                              throws ServiceLocatorException

  Return a `EventLogBoss` instance. If not previously cached, look up the interface and then cache it before creating and returning the boss.

  Throws:
    `ServiceLocatorException` - if the lookup or create fails

### getControlBoss

    public org.hyperic.hq.bizapp.shared.ControlBoss getControlBoss()
                                                            throws ServiceLocatorException

  Return an `ControlBoss` instance. If not previously cached, look up the interface and then cache it before creating and returning the boss.

  Returns:
    An instance of the ConrolBoss
  Throws:
    `ServiceLocatorException` - if the lookup or create fails.

### getGalertBoss

    public org.hyperic.hq.bizapp.shared.GalertBoss getGalertBoss()
                                                          throws ServiceLocatorException

  Throws:
    `ServiceLocatorException`

### getUpdateBoss

    public org.hyperic.hq.bizapp.shared.UpdateBoss getUpdateBoss()
                                                          throws ServiceLocatorException

  Throws:
    `ServiceLocatorException`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Hyperic HQ Plugin API v. 4.4.0.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004-2006 Hyperic, Inc. support@hyperic.net, All Rights Reserved.